Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.webflow
Class JsfRuntimeInformation

    java.lang.Object
      org.springframework.faces.webflow.JsfRuntimeInformation

    public class JsfRuntimeInformation

extends java.lang.Object

Helper class to provide information about the JSF runtime environment such as JSF version and implementation.

Author:
  Phil Webb

Field Summary
`static int` | `JSF_11` JSF Version 1.1
`static int` | `JSF_12` JSF Version 1.2
`static int` | `JSF_20` JSF Version 2.0

Constructor Summary
`JsfRuntimeInformation()`

Method Summary
`static boolean` | `isAtLeastJsf12()`
`static boolean` | `isAtLeastJsf20()`
`static boolean` | `isLessThanJsf20()`
`static boolean` | `isMyFacesPresent()`
`static boolean` | `isPartialStateSavingSupported()` Returns true if Web Flow supports partial state saving in the current runtime environment.
`static boolean` | `isPortletRequest(javax.faces.context.FacesContext context)`
`static boolean` | `isPortletRequest(RequestContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JSF_11

    public static final int JSF_11

  JSF Version 1.1

  See Also:
    Constant Field Values

### JSF_12

    public static final int JSF_12

  JSF Version 1.2

  See Also:
    Constant Field Values

### JSF_20

    public static final int JSF_20

  JSF Version 2.0

  See Also:
    Constant Field Values

Constructor Detail

### JsfRuntimeInformation

    public JsfRuntimeInformation()

Method Detail

### isAtLeastJsf20

    public static boolean isAtLeastJsf20()

### isAtLeastJsf12

    public static boolean isAtLeastJsf12()

### isLessThanJsf20

    public static boolean isLessThanJsf20()

### isMyFacesPresent

    public static boolean isMyFacesPresent()

### isPortletRequest

    public static boolean isPortletRequest(javax.faces.context.FacesContext context)

### isPortletRequest

    public static boolean isPortletRequest(RequestContext context)

### isPartialStateSavingSupported

    public static boolean isPartialStateSavingSupported()

  Returns true if Web Flow supports partial state saving in the current runtime environment.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD